#ifndef LEDANIMATOR_H
#define LEDANIMATOR_H

#include <QObject>
#include <QTimer>

#define ANIMATION_REFRESH_TIMEOUT 33 //ms = 30 FPS

class CLEDAnimator : public QObject
{
    Q_OBJECT
public:
    explicit CLEDAnimator(QObject *parent = 0);

    QTimer *mAnimationRefreshTimer;

signals:

public slots:

    void AnimationTimerExipired();
};

#endif // LEDANIMATOR_H
